# SponsoredAuthorization | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- Authorization
  - SponsoredAuthorization

## Index

### Constructors

- constructor

### Properties

- authType
- spendingCondition
- sponsorSpendingCondition

### Methods

- deserialize
- getFee
- intoInitialSighashAuth
- serialize
- setFee
- setNonce
- setSponsor
- setSponsorNonce
- verifyOrigin
- deserialize

## Constructors

### constructor

- new SponsoredAuthorization(originSpendingCondition: SpendingCondition, sponsorSpendingCondition?: SpendingCondition ): SponsoredAuthorization

- Overrides Authorization.constructor

  - Defined in packages/transactions/src/authorization.ts:586

  #### Parameters

  - ##### originSpendingCondition: SpendingCondition

  - ##### Optional sponsorSpendingCondition: SpendingCondition

  #### Returns SponsoredAuthorization

## Properties

### Optional authType

authType: AuthType

Inherited from Authorization.authType

- Defined in packages/transactions/src/authorization.ts:446

### Optional spendingCondition

spendingCondition: SpendingCondition

Inherited from Authorization.spendingCondition

- Defined in packages/transactions/src/authorization.ts:447

### Optional sponsorSpendingCondition

sponsorSpendingCondition: SpendingCondition

Inherited from Authorization.sponsorSpendingCondition

- Defined in packages/transactions/src/authorization.ts:448

## Methods

### deserialize

- deserialize(bufferReader: BufferReader ): void

- Inherited from Authorization.deserialize

  Overrides Deserializable.deserialize

  - Defined in packages/transactions/src/authorization.ts:558

  #### Parameters

  - ##### bufferReader: BufferReader

  #### Returns void

### getFee

- getFee(): 0 | BN

- Inherited from Authorization.getFee

  - Defined in packages/transactions/src/authorization.ts:491

  #### Returns 0 | BN

### intoInitialSighashAuth

- intoInitialSighashAuth(): Authorization

- Inherited from Authorization.intoInitialSighashAuth

  - Defined in packages/transactions/src/authorization.ts:461

  #### Returns Authorization

### serialize

- serialize(): Buffer

- Inherited from Authorization.serialize

  Overrides Deserializable.serialize

  - Defined in packages/transactions/src/authorization.ts:525

  #### Returns Buffer

### setFee

- setFee(amount: BigNum): void

- Inherited from Authorization.setFee

  - Defined in packages/transactions/src/authorization.ts:480

  #### Parameters

  - ##### amount: BigNum

  #### Returns void

### setNonce

- setNonce(nonce: BigNum): void

- Inherited from Authorization.setNonce

  - Defined in packages/transactions/src/authorization.ts:502

  #### Parameters

  - ##### nonce: BigNum

  #### Returns void

### setSponsor

- setSponsor(sponsorSpendingCondition: SpendingCondition ): void

- Inherited from Authorization.setSponsor

  - Defined in packages/transactions/src/authorization.ts:510

  #### Parameters

  - ##### sponsorSpendingCondition: SpendingCondition

  #### Returns void

### setSponsorNonce

- setSponsorNonce(nonce: BigNum): void

- Inherited from Authorization.setSponsorNonce

  - Defined in packages/transactions/src/authorization.ts:506

  #### Parameters

  - ##### nonce: BigNum

  #### Returns void

### verifyOrigin

- verifyOrigin(initialSigHash: string): string

- Inherited from Authorization.verifyOrigin

  - Defined in packages/transactions/src/authorization.ts:514

  #### Parameters

  - ##### initialSigHash: string

  #### Returns string

### Static deserialize

- deserialize<T>(this: {}, bufferReader: BufferReader ): T

- Inherited from Deserializable.deserialize

  - Defined in packages/transactions/src/authorization.ts:40

  #### Type parameters

  - #### T: Deserializable

  #### Parameters

  - ##### this: {}

  - ##### bufferReader: BufferReader

  #### Returns T

Generated using TypeDoc